WordPress.org

Forums

[PlugIn: Bookings] (9 posts)

  1. michael walker
    Member
    Posted 3 years ago #

    I have just installed the current version of Bookings. On clicking the 'bookings' lnk in the admin panel, i get the following message:

    Warning: require(__DIR__/includes/cpedit.inc.php) [function.require]: failed to open stream: No such file or directory in /web1/user270/website/Newsite/wp-content/plugins/bookings/controlpanel.php on line 100

    Fatal error: require() [function.require]: Failed opening required '__DIR__/includes/cpedit.inc.php' (include_path='.:') in /web1/user270/website/Newsite/wp-content/plugins/bookings/controlpanel.php on line 100

    I wonder if anyone else gets this and if so, has a fix? (The file referred to, cpedit.inc.php, does exist in the includes folder) Grateful for any assistance!

  2. zingiri
    Member
    Posted 3 years ago #

    Sorry for the late reply. This is now fixed in version 0.9.3. Please upgrade and let us know if it worked for you.

  3. zingiri
    Member
    Posted 3 years ago #

    The problem is that __DIR__ is only available as of php 5.3. Unfortunately still many hosting providers offering only php 5.2 out there... Anyway we make sure our plugins are compatible with php 5.x now.

  4. michael walker
    Member
    Posted 3 years ago #

    Thanks for your prompt help.

    Yes, it's kind of fixed it, except that now, when I go into any of the sub-menu items (e.g. Schedules) it says:

    [Code moderated as per the Forum Rules. Please use the pastebin]

    I've turned off my anti-virus, tried with different browsers, but didn't help. Any ideas, please?

  5. zingiri
    Member
    Posted 3 years ago #

    Sorry can't see the code as it's been moderated. Can you try again or contact us at http://zingiri.net

  6. michael walker
    Member
    Posted 3 years ago #

    Sorry about that - it's in the pastebin now: http://pastebin.com/eC2UPSrM

  7. zingiri
    Member
    Posted 3 years ago #

    Sorry for the late follow up, I suspect this issue has been resolved since the last time, if not please let us know.

  8. michael walker
    Member
    Posted 3 years ago #

    I'm afraid it's not fixed - or not for me, at least. I'm running the most recent release. I'm wondering if maybe it's some sort of block my host has instigated - although they say not...

  9. zingiri
    Member
    Posted 3 years ago #

    This is bizarre indeed, could you open a ticket at http://www.zingiri.net/portal? Please reference our discussion here.

Topic Closed

This topic has been closed to new replies.

About this Topic